# Class GridBagConstraints

java.lang.Object
com.codename1.ui.layouts.GridBagConstraints

public class GridBagConstraints extends java.lang.Object
Port of the GridBag code from Apache's Harmony

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `anchor`
  `static final int`
  `BOTH`
  `static final int`
  `CENTER`
  `static final int`
  `EAST`
  `int`
  `fill`
  `static final int`
  `FIRST_LINE_END`
  `static final int`
  `FIRST_LINE_START`
  `int`
  `gridheight`
  `int`
  `gridwidth`
  `int`
  `gridx`
  `int`
  `gridy`
  `static final int`
  `HORIZONTAL`
  `Insets`
  `insets`
  `int`
  `ipadx`
  `int`
  `ipady`
  `static final int`
  `LAST_LINE_END`
  `static final int`
  `LAST_LINE_START`
  `static final int`
  `LINE_END`
  `static final int`
  `LINE_START`
  `static final int`
  `NONE`
  `static final int`
  `NORTH`
  `static final int`
  `NORTHEAST`
  `static final int`
  `NORTHWEST`
  `static final int`
  `PAGE_END`
  `static final int`
  `PAGE_START`
  `static final int`
  `RELATIVE`
  `static final int`
  `REMAINDER`
  `static final int`
  `SOUTH`
  `static final int`
  `SOUTHEAST`
  `static final int`
  `SOUTHWEST`
  `static final int`
  `VERTICAL`
  `double`
  `weightx`
  `double`
  `weighty`
  `static final int`
  `WEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GridBagConstraints()`
  `GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `java.lang.Object`
  `clone()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RELATIVE

    public static final int RELATIVE
    See Also:
      - Constant Field Values

  - ### REMAINDER

    public static final int REMAINDER
    See Also:
      - Constant Field Values

  - ### NONE

    public static final int NONE
    See Also:
      - Constant Field Values

  - ### BOTH

    public static final int BOTH
    See Also:
      - Constant Field Values

  - ### HORIZONTAL

    public static final int HORIZONTAL
    See Also:
      - Constant Field Values

  - ### VERTICAL

    public static final int VERTICAL
    See Also:
      - Constant Field Values

  - ### CENTER

    public static final int CENTER
    See Also:
      - Constant Field Values

  - ### NORTH

    public static final int NORTH
    See Also:
      - Constant Field Values

  - ### NORTHEAST

    public static final int NORTHEAST
    See Also:
      - Constant Field Values

  - ### EAST

    public static final int EAST
    See Also:
      - Constant Field Values

  - ### SOUTHEAST

    public static final int SOUTHEAST
    See Also:
      - Constant Field Values

  - ### SOUTH

    public static final int SOUTH
    See Also:
      - Constant Field Values

  - ### SOUTHWEST

    public static final int SOUTHWEST
    See Also:
      - Constant Field Values

  - ### WEST

    public static final int WEST
    See Also:
      - Constant Field Values

  - ### NORTHWEST

    public static final int NORTHWEST
    See Also:
      - Constant Field Values

  - ### PAGE_START

    public static final int PAGE_START
    See Also:
      - Constant Field Values

  - ### PAGE_END

    public static final int PAGE_END
    See Also:
      - Constant Field Values

  - ### LINE_START

    public static final int LINE_START
    See Also:
      - Constant Field Values

  - ### LINE_END

    public static final int LINE_END
    See Also:
      - Constant Field Values

  - ### FIRST_LINE_START

    public static final int FIRST_LINE_START
    See Also:
      - Constant Field Values

  - ### FIRST_LINE_END

    public static final int FIRST_LINE_END
    See Also:
      - Constant Field Values

  - ### LAST_LINE_START

    public static final int LAST_LINE_START
    See Also:
      - Constant Field Values

  - ### LAST_LINE_END

    public static final int LAST_LINE_END
    See Also:
      - Constant Field Values

  - ### gridx

    public int gridx

  - ### gridy

    public int gridy

  - ### gridwidth

    public int gridwidth

  - ### gridheight

    public int gridheight

  - ### weightx

    public double weightx

  - ### weighty

    public double weighty

  - ### anchor

    public int anchor

  - ### fill

    public int fill

  - ### insets

    public Insets insets

  - ### ipadx

    public int ipadx

  - ### ipady

    public int ipady

- ## Constructor Details

  - ### GridBagConstraints

    public GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)

  - ### GridBagConstraints

    public GridBagConstraints()

- ## Method Details

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`